Subject: Re: [RFC:] struct net_device_ops: Add function pointer to fill device specific ndisc information

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Mon, 28 Jan 2013 04:28:47 +0900

Stephan Gatzka wrote:

>> I am not a contributor to net/, hence don't have a say over how the
>> networking APIs should evolve.
>>
>> Any solution is fine with me, as long as net/ does not use any definitions
>> or declarations from <linux/firewire.h>.
> 
> O.k. then I will go for Yoshifujis "extended hwaddress" approch.
> 
> I think I will divide all the stuff into two major pieces:
> 
> First I will rewrite the existing IPv4 over Firewire driver to use the notification mechanisms and also generate the RFC2734 ARP packets in the arp code.
> 
> Then I'll implement the IPv6 stuff based on that IPv4 solution.

I even think that we do not need to have event notification if we
can just use max_rec, sspd and fifo embedded in the destination
"MAC address" in the sending packet.

--yosshfuji